# esp-wssmqtt-board

Проект создан "на коленке" за пару вечеров.

Изначально разрабатывался для микроконтроллера ESP32, но можно использовать и ESP8266, и на rp2040(W), и возможно на pyboard.

Программа связывается с MQTT брокером через вебсокет (с TLS), подписывается на пачку топиков и слушает их.
Значения в топиках следует делать `retain`, чтобы при потере связи они снова отсылались прошивке.

# Инструментарий

Для запуска проекта на микроконтроллере нужен установленный micropython (логично).

Его установку тут описывать не буду.

# Перед запуском

Для настройки "переменных окружения" используется один единственный файл - `env.py`.
Перед заливкой прошивки нужно скопировать файл `example.env.py` в `src/env.py` и отредактировать его.

Дополнительно можно отредактировать файл с интерфейсами `src/intervaces.py`.
Там прописаны физические интерфейсы управления, можно добавлять/изменять/удалять существующие.

